DRGEO(1)

NAME
drgeo - a GTK+ interactive geometry program

SYNOPSIS
drgeo [OPTIONS]...

DESCRIPTION
Dr. Geo is the OFSET's interactive geometry program. It is a sort of vector drawing software but with mathematical constraints - we also call this interactive geometry. It allows one to create geometric figure plus the interactive manipulation of such figure in respect with their geometric constraints. It is useable in teaching situation with students from primary or secondary level. To find more information concerning the use of Dr. Geo, you can consult the online help.

OPTIONS
This program follows the usual GNU command line syntax, with long options starting with two dashes (`--').

  GTK options

--gdk-debug=FLAGS
    Gdk debugging flags to set

--gdk-no-debug=FLAGS
    Gdk debugging flags to unset

--display=DISPLAY
    X display to use

--sync
    Make X calls synchronous

--no-xshm
    Don't use X shared memory extension

--name=NAME
    Program name as used by the window manager

--class=CLASS
    Program class as used by the window manager

--gxid_host=HOST

--gxid_port=PORT

--xim-preedit=STYLE

--xim-status=STYLE

--gtk-debug=FLAGS
    Gtk+ debugging flags to set

--gtk-no-debug=FLAGS
    Gtk+ debugging flags to unset

--g-fatal-warnings
    Make all warnings fatal

--gtk-module=MODULE
    Load an additional Gtk module

  drgeo options

--version
    Display Dr. Geo' version

-f, --file=filename
    File to load

-e, --evaluate=filename
    Evaluate and load a Dr. Geo figure defined in Scheme

--texmacs
    Start Dr. Geo as a TeXmacs plugin, sending EPS figure to the standard output

--help
    Display the command line help

VERSION
1.1.0

SEE ALSO

Online manual
    The online manual available directly from the application.

The Dr. Geo homepage at OFSET
    http://www.ofset.org/drgeo

LICENSE
Dr. Geo is licensed under the terms of the General Public License version 2. For information on this license look at the source code that came with the software or see the GNU project page at http://www.gnu.org.

COPYRIGHT
The copyright on the Dr. Geo software and source code is held by the individual authors and the FSF.

AUTHORS

  Programming
Lead developer : Hilaire Fernandes http://www.ofset.org

  Graphic
Frederic Toussaint http://www.blender-cafe.org/

  Documentation
Hilaire Fernandes
This manual page was initialy written by Andreas Tille <tille@debian.org> then by Hilaire Fernandes <hilaire@ofset.org> for the Debian GNU/Linux system (but may be used by others).

  Translations
Adrian Ulises Soto
Jean-Philippe Georget
Andrea Centomo
Tobias Verbeke

  Packaging
Abel Cheung
Dag Wieers
Hilaire Fernandes